View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000037Ecere SDKidepublic2008-04-17 18:182012-03-29 07:52
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000037: Breakpoint cursors do not reappear when reopening a project
Description* Is this specific to breakpoints in an external module?

* Breakpoints cursors in the code should really match the Breakpoints window, and not be dependent on whether setting the breakpoint actually work or not
(In this case, the breakpoints are actually functional, but cursors don't show)

Additionally, a breakpoint icon shows in the call stack (not in source code) when initially stepping in with F10 at the main function. Use more consistent (reuse code?) for call tack/code editor icons?

Debug log is full of :

GDB: No source file named src/pass15.ec.
GDB: No source file named src/pass15.ec.
GDB: No source file named src/pass16.ec.
GDB: No source file named src/pass16.ec.
GDB: No source file named src/pass15.ec.
GDB: No source file named src/pass15.ec.
GDB: No source file named src/pass16.ec.
GDB: No source file named src/pass16.ec.
GDB: No source file named src/pass15.ec.
TagsNo tags attached.
Attached Files

- Relationships
child of 0000433closed previously resolved issues (draft 1 of 0.44 and earlier) 

-  Notes
(0000047)
redj (administrator)
2008-05-19 00:45

added some breakpoints management code to remove breakpoints when the source directory or project they belong to is removed.
(0000048)
redj (administrator)
2008-05-19 00:47

can you provide a specific test case?
are the "GDB: No source file named src/pass15.ec." messages still pooping up?
(0000052)
jerome (administrator)
2008-05-19 04:07

here's my scenario la
qui etait le coeur du issue 37
c'etait avant quon aille le project stuff
it still happens
J'ouvre ide.epj, j'ai pas de project added, pas de source
je set un breakpoint dans Thread.ec, ca fonctionne
y sajoute a mon breakpoint list
Rejean
it's supposed to ask you for a source dir?

Jerome
Je pars l'app
je recois un erreur:
Starting debug mode
GDB: Function "WinMain" not defined in loaded symbols.
GDB: No source file named src/sys/Thread.ec in loaded symbols.
mais le breakpoint lui fonctionne.
yeah it asks me for one, I set it.
la je ferme l'ide
je rerouvre le projet
breakpoint still there in breakpoints view, source dir still there
Breakpoint doesn't show up, but is still working.
(Also still giving the GDB: No source file named src/sys/Thread.ec in loaded symbols. initial error )
The project being there, i sort have the same scenario when I take out the project, breakpoint disappears but still working...
I would like the breakpoints to remain there, but the IDE asking me for the source dir
with that IDE I have now, the breakpoints are still active but not showing... not sure how DropInvalidBreakpoints works, but simple dropping is not likely what we want...
(0000080)
jerome (administrator)
2008-08-22 06:33

- The breakpoints working versus not displaying was a Windows specific bug, due to bp.absoluteFilePath not being converted over to using backslashes (\).

- The call stack icon drawing code was basing itself on the bpHit value, which interestingly enough changed when talking to GDB when toggling breakpoints. (Could a different set of status flags, heck, even a different list of breakpoints be used for these internal breakpoint things?)
The code has been changed to instead reflect the status of the breakpoint at the activeFrame (rather than the topframe) and looks through the breakpoints to match the activeFrame. Code has been added to automatically Update the CallStackView when modifying breakpoints.

- It might be desired to have every single line of the call stack matched against breakpoints to display all breakpoints, but probably too slow and/or confusing.

- F9 in the CallStackView was previously going straight to the CodeEditor, thus not doing what I was expecting it to. F9 has been assigned to actual code which toggles the breakpoint at the activeFrame. It might be desired to allow toggling at any frame level, depending on the current callStackView line.

- The code used to which project a particular absolute source file path belongs to used in this new CallStackView code has been taken from the ToggleBreakPoint code in CodeEditor.ec. It might be used elsewhere as well, it should be organized into a function, and most likely improved to support files with same names in different projects.

- Breakpoint icons in the Thread view have been completely disabled, as it is unclear what they should reflect, and are not really required.

- Round topFrame icons were reverted to the square topFrame icons (originally called "pass-cursor.png" / "pass-cursor-error.png").

- GDB: Error messages as well as the WOULD HAVE error message have been #ifdef _DEBUG'ed. They do not seem to indicate a real problems, as they mention breakpoints not found before the shared libraries are loaded.

- New bugs were introduced by splitting the CallStackView in 2 in case of stack overflow. In the "stack" item parsing, activeFrame was set to null on the 2nd part of the stack: moved it to an else of the if(stackFrames.count). Enter on the CallStackView was still using the actual editBox line number, changed it to use the text at the beginning of the line, ignoring "...".

- Issue History
Date Modified Username Field Change
2008-04-17 18:18 jerome New Issue
2008-04-30 20:04 jerome Status new => assigned
2008-04-30 20:04 jerome Assigned To => jerome
2008-05-02 01:06 jerome Priority normal => high
2008-05-04 06:27 jerome Assigned To jerome => redj
2008-05-08 19:00 jerome Description Updated
2008-05-12 17:28 jerome Priority high => urgent
2008-05-19 00:45 redj Note Added: 0000047
2008-05-19 00:47 redj Note Added: 0000048
2008-05-19 00:47 redj Status assigned => feedback
2008-05-19 04:07 jerome Note Added: 0000052
2008-06-12 14:36 jerome Status feedback => assigned
2008-08-15 16:02 jerome Priority urgent => high
2008-08-22 01:09 jerome Assigned To redj => jerome
2008-08-22 01:09 jerome Priority high => immediate
2008-08-22 06:33 jerome Note Added: 0000080
2008-08-22 06:33 jerome Status assigned => resolved
2008-08-22 06:33 jerome Resolution open => fixed
2009-05-03 03:43 jerome Status resolved => closed
2010-07-25 21:33 redj Relationship added child of 0000433
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker